Bug 111561 - editors/openoffice.org-2 build fails with devel/epm installed
Summary: editors/openoffice.org-2 build fails with devel/epm installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-14 09:40 UTC by Christoph
Modified: 2008-07-20 10:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph 2007-04-14 09:40:03 UTC
Out of a up to date ports tree openoffice.org build keeped on crashing with

Building FreeBSD pkg binary distribution...
Packaging failed!
Try 3 : Could not execute "/usr/local/bin/epm -f bsd openoffice.org-gnome-integration /compile/export/software/ports/editors/o
penoffice.org-2/work/OOF680_m14/instsetoo_native/unxfbsdi.pro/OpenOffice/bsd/listfile/en-US/epm_OpenOffice_gid_Module_Optional
_Gnome_unxfbsdi_OOF680__en-US.lst -v  2>&1 |"!

After i deinstalled devel/epm i had no problems to build openoffice.org-2, to verify i reinstalled devel/epm and my editors/openoffice.org-2 build did crash again.

Fix: 

Deinstall devel/epm did help me. Might be a good idea to let openoffice.org build process always build its own epm.
How-To-Repeat: - install devel/epm
- start an editors/openoffice.org-2 build process

At least
make ALL_LOCALIZED_LANGS=yes LOCALIZED_LANG=all WITH_CCACHE=yes WITH_KDE=yes WITH_CUPS=yes WITH_TTF_BYTECODE_ENABLED=yes
did not work, but i think no build process will work.
Comment 1 Edwin Groothuis freebsd_committer 2007-04-14 09:40:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer
Comment 2 Martin Wilke freebsd_committer 2008-06-01 13:42:52 UTC
State Changed
From-To: open->feedback


Hi, Could you please test if this issue still exists with an fresh 
portstree? Thanks for your report.
Comment 3 christop 2008-06-26 12:54:01 UTC
miwi@FreeBSD.org schrieb:
> Synopsis: editors/openoffice.org-2 build fails with devel/epm installed
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: miwi
> State-Changed-When: Sun Jun 1 12:42:52 UTC 2008
> State-Changed-Why: 
> 
> Hi, Could you please test if this issue still exists with an fresh
> portstree? Thanks for your report.
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=111561

On a fresh FreeBSD 7.0 installation with a portsnap of June 25th it
still does not work.

Commandline was:
make ALL_LOCALIZED_LANGS=yes LOCALIZED_LANG=all WITH_CCACHE=yes
WITH_KDE=yes WITH_CUPS=yes WITH_TTF_BYTECODE_ENABLED=yes build >>
OO2.4.1Buildlog_F

Last lines of
/usr/ports/editors/openoffice.org-2/work/OOH680_m17/instsetoo_native/unxfbsdx.pro/OpenOffice/bsd/logging/en-US/log_OOH680_en-US.log:

Creating FreeBSD pkg distribution...
Creating descr file...
Creating comment file...
Creating plist file...
Copying temporary distribution files...
Building FreeBSD pkg binary distribution...
Packaging failed!
Try 2 : Could not execute "/usr/local/bin/epm -f bsd
openoffice.org-core01
/usr/ports/editors/openoffice.org-2/work/OOH680_m17/instsetoo_native/unxfbsdx.pro/OpenOffice/bsd/listfile/en-US/epm_OpenOffice_gid_Module_Root_unxfbsdx_OOH680__en-US.lst
-v  2>&1 |"!
Systemcall  (Try 3): /usr/local/bin/epm -f bsd  openoffice.org-core01
/usr/ports/editors/openoffice.org-2/work/OOH680_m17/instsetoo_native/unxfbsdx.pro/OpenOffice/bsd/listfile/en-US/epm_OpenOffice_gid_Module_Root_unxfbsdx_OOH680__en-US.lst
-v  2>&1 |
mv: rename openoffice.org-core01-2.4.1-17-freebsd-7.0-amd64.tgz to
freebsd-7.0-amd64/openoffice.org-core01-2.4.1-17-freebsd-7.0-amd64.tgz:
No such file or directory
ESP Package Manager v3.7.0
Copyright 1999-2003 by Easy Software Products.
Patched for OpenOffice.org

EPM is free software and comes with ABSOLUTELY NO WARRANTY; for details
see the GNU General Public License in the file COPYING or at
"http://www.fsf.org/gpl.html".  Report all problems to "epm@easysw.com".

Searching for product information...
Stripping executables in distribution...
Creating FreeBSD pkg distribution...
Creating descr file...
Creating comment file...
Creating plist file...
Copying temporary distribution files...
Building FreeBSD pkg binary distribution...
Packaging failed!
Try 3 : Could not execute "/usr/local/bin/epm -f bsd
openoffice.org-core01
/usr/ports/editors/openoffice.org-2/work/OOH680_m17/instsetoo_native/unxfbsdx.pro/OpenOffice/bsd/listfile/en-US/epm_OpenOffice_gid_Module_Root_unxfbsdx_OOH680__en-US.lst
-v  2>&1 |"!

Moved directory from
/usr/ports/editors/openoffice.org-2/work/OOH680_m17/instsetoo_native/unxfbsdx.pro/OpenOffice/bsd/install/en-US_inprogress
to
/usr/ports/editors/openoffice.org-2/work/OOH680_m17/instsetoo_native/unxfbsdx.pro/OpenOffice/bsd/install/en-US_witherror

Removing directory
/usr/ports/editors/openoffice.org-2/work/OOH680_m17/ooopackaging/i_913031214467051

Removing directory
/usr/ports/editors/openoffice.org-2/work/OOH680_m17/instsetoo_native/unxfbsdx.pro/OpenOffice/bsd/stripped/en-US

***************************************************************
ERROR: "/usr/local/bin/epm -f bsd  openoffice.org-core01
/usr/ports/editors/openoffice.org-2/work/OOH680_m17/instsetoo_native/unxfbsdx.pro/OpenOffice/bsd/listfile/en-US/epm_OpenOffice_gid_Module_Root_unxfbsdx_OOH680__en-US.lst
-v  2>&1 |"!
in function: call_epm
***************************************************************
Comment 4 Maho Nakata freebsd_committer 2008-07-20 10:16:48 UTC
State Changed
From-To: feedback->closed

Fixed. Thank you!
Comment 5 dfilter service freebsd_committer 2008-07-20 10:16:52 UTC
maho        2008-07-20 09:16:38 UTC

  FreeBSD ports repository

  Modified files:
    editors/openoffice.org-2 Makefile 
    editors/openoffice.org-2-RC Makefile 
    editors/openoffice.org-2-devel Makefile 
    editors/openoffice.org-3 Makefile 
    editors/openoffice.org-3-RC Makefile 
    editors/openoffice.org-3-devel Makefile 
  Log:
  Fix build with devel/epm. Simply ignore devel/epm :(
  
  PR:             111561
  Submitted by:   Christoph<tutoren@physik.tu-berlin.de>
  
  Revision  Changes    Path
  1.340     +2 -1      ports/editors/openoffice.org-2-RC/Makefile
  1.365     +2 -1      ports/editors/openoffice.org-2-devel/Makefile
  1.306     +2 -1      ports/editors/openoffice.org-2/Makefile
  1.346     +2 -1      ports/editors/openoffice.org-3-RC/Makefile
  1.391     +2 -1      ports/editors/openoffice.org-3-devel/Makefile
  1.306     +2 -1      ports/editors/openoffice.org-3/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"